<?php
/**
 * Setup.
 *
 * @package MadeByAura\Prime\Customizer\Hooks
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Customizer\Hooks;

use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();

/**
 * Setup.
 */
class Setup {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		add_action( 'after_setup_theme', [ __CLASS__, 'add_config' ] );
	}

	/**
	 * Add configuration.
	 */
	public static function add_config() {
		\Kirki::add_config(
			'aura_theme_config',
			[
				'capability'  => 'edit_theme_options',
				'option_type' => 'theme_mod',
			],
		);
	}
}
